SCANIN(1)

NAME
Scanin - Convert TIFF image of a chart into .ti3 device values.

DESCRIPTION
Convert TIFF image of a chart into .ti3 device values

SYNOPSIS
scanin [options] input.tif recogin.cht valin.cie [diag.tif]

    :- inputs 'input.tif' and outputs scanner 'input.ti3', or

scanin -g [options] input.tif recogout.cht [diag.tif]

    :- outputs file 'recogout.cht', or

scanin -o [options] input.tif recogin.cht [diag.tif]

    :- outputs file 'input.val', or

scanin -c [options] input.tif recogin.cht scanprofile.[icc|mpp] pbase [diag.tif]

    :- inputs pbase.ti2 and outputs printer pbase.ti3, or

scanin -r [options] input.tif recogin.cht pbase [diag.tif]

    :- inputs pbase.ti2+.ti3 and outputs pbase.ti3

-g  Generate a chart reference (.cht) file

-o  Output patch values in .val file

-c  Use image to measure color to convert printer pbase .ti2 to .ti3

-ca Same as -c, but accumulates more values to pbase .ti3 from subsequent pages

-r  Replace device values in pbase .ti2/.ti3 Default is to create a scanner .ti3 file

-F x1,y1,x2,y2,x3,y3,x4,y4
    Don't auto recognize, locate using four fiducual marks

-p  Compensate for perspective distortion

-a  Recognise chart in normal orientation only (-A fallback as is) Default is to recognise all possible chart angles

-m  Return true mean (default is robust mean)

-G gamma
    Approximate gamma encoding of image

-v [n]
    Verbosity level 0-9

-d [ihvglLIcrsonap]
    Generate diagnostic output (try -dipn)

i   diag - B&W of input image

h   diag - Horizontal edge/tick detection

v   diag - Vertical edge/tick detection

g   diag - Groups detected

l   diag - Lines detected

L   diag - All lines detected

I   diag - lines used to improve fit

c   diag - lines perspective corrected

r   diag - lines rotated

s   diag - diagnostic sample boxes rotated

o   diag - sample box outlines

n   diag - sample box names

a   diag - sample box areas

p   diag - pixel areas sampled

-O outputfile Override the default output filename & extension.